> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract Product Endpoint



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /data/products/extract
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.9.8
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: audit
    description: Audit trail of account and workspace changes.
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /data/products/extract:
    post:
      tags:
        - Data APIs
        - Data Products
      summary: Extract Product Endpoint
      operationId: extract_product_endpoint
      parameters:
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductExtractRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProductOutput'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os

            import requests

            response = requests.post(
                "https://api.notte.cc/data/products/extract",
                headers={"Authorization": f"Bearer {os.environ['NOTTE_API_KEY']}"},
                json={"url": "https://www.allbirds.com/products/mens-tree-runners", "productParams": {"dedupeImages": False}},
                timeout=330,
            )
            response.raise_for_status()
            print(response.json())
          label: python
        - lang: TypeScript
          source: >-
            const response = await
            fetch("https://api.notte.cc/data/products/extract", {
              method: "POST",
              headers: {
                Authorization: `Bearer ${process.env.NOTTE_API_KEY}`,
                "Content-Type": "application/json",
              },
              body: JSON.stringify({
                "url": "https://www.allbirds.com/products/mens-tree-runners",
                "productParams": {
                  "dedupeImages": false
                }
              }),
              signal: AbortSignal.timeout(330_000),
            });

            if (!response.ok) throw new Error(await response.text());

            console.log(await response.json());
          label: node
        - lang: Curl
          source: >-
            curl --fail-with-body --max-time 330 --request POST
            https://api.notte.cc/data/products/extract \
              --header "Authorization: Bearer $NOTTE_API_KEY" \
              --header 'Content-Type: application/json' \
              --data '{
              "url": "https://www.allbirds.com/products/mens-tree-runners",
              "productParams": {
                "dedupeImages": false
              }
            }'
          label: curl
components:
  schemas:
    ProductExtractRequest:
      properties:
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
        productParams:
          $ref: '#/components/schemas/ProductParams'
      additionalProperties: false
      type: object
      required:
        - url
      title: ProductExtractRequest
    ProductOutput:
      properties:
        requested:
          type: boolean
          title: Requested
          default: true
        success:
          type: boolean
          title: Success
          default: true
        data:
          $ref: '#/components/schemas/ProductResult'
      additionalProperties: false
      type: object
      required:
        - data
      title: ProductOutput
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProductParams:
      properties:
        dedupeImages:
          type: boolean
          title: Dedupeimages
          default: false
      additionalProperties: false
      type: object
      title: ProductParams
    ProductResult:
      properties:
        isProductPage:
          type: boolean
          title: Isproductpage
          default: false
        product:
          anyOf:
            - $ref: '#/components/schemas/Product'
            - type: 'null'
      additionalProperties: false
      type: object
      title: ProductResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Product:
      properties:
        name:
          type: string
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        brand:
          anyOf:
            - type: string
            - type: 'null'
          title: Brand
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        regularPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Regularprice
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        availability:
          anyOf:
            - type: string
              enum:
                - in_stock
                - out_of_stock
                - limited_availability
                - preorder
                - backorder
                - made_to_order
                - discontinued
            - type: 'null'
          title: Availability
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        imageUrl:
          anyOf:
            - type: string
            - type: 'null'
          title: Imageurl
        images:
          items:
            type: string
          type: array
          title: Images
        dimensions:
          items:
            type: string
          type: array
          title: Dimensions
        features:
          items:
            type: string
          type: array
          title: Features
        targetAudience:
          items:
            type: string
          type: array
          title: Targetaudience
        tags:
          items:
            type: string
          type: array
          title: Tags
        variants:
          items:
            $ref: '#/components/schemas/ProductVariant'
          type: array
          title: Variants
      additionalProperties: false
      type: object
      required:
        - name
      title: Product
    ProductVariant:
      properties:
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        attributes:
          additionalProperties:
            type: string
          type: object
          title: Attributes
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        images:
          items:
            type: string
          type: array
          title: Images
      additionalProperties: false
      type: object
      title: ProductVariant
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.